Index: trunk/src/world_entities/Makefile.am
===================================================================
--- trunk/src/world_entities/Makefile.am	(revision 5462)
+++ trunk/src/world_entities/Makefile.am	(revision 5463)
@@ -2,7 +2,7 @@
 include $(MAINSRCDIR)/defs/include_paths.am
 
-pkglib_LTLIBRARIES = libORXworld_entities.la
+noinst_LIBRARIES = libORXworld_entities.a
 
-libORXworld_entities_la_SOURCES = \
+libORXworld_entities_a_SOURCES = \
                   world_entity.cc \
                   camera.cc \
Index: trunk/src/world_entities/Makefile.in
===================================================================
--- trunk/src/world_entities/Makefile.in	(revision 5462)
+++ trunk/src/world_entities/Makefile.in	(revision 5463)
@@ -16,5 +16,5 @@
 
 
-SOURCES = $(libORXworld_entities_la_SOURCES)
+SOURCES = $(libORXworld_entities_a_SOURCES)
 
 srcdir = @srcdir@
@@ -49,4 +49,5 @@
 CONFIG_HEADER = $(top_builddir)/config.h
 CONFIG_CLEAN_FILES =
+<<<<<<< .working
 am__installdirs = "$(DESTDIR)$(pkglibdir)"
 pkglibLTLIBRARIES_INSTALL = $(INSTALL)
@@ -61,7 +62,24 @@
 libORXworld_entities_la_OBJECTS =  \
 	$(am_libORXworld_entities_la_OBJECTS)
+=======
+LIBRARIES = $(noinst_LIBRARIES)
+AR = ar
+ARFLAGS = cru
+libORXworld_entities_a_AR = $(AR) $(ARFLAGS)
+libORXworld_entities_a_LIBADD =
+am_libORXworld_entities_a_OBJECTS = world_entity.$(OBJEXT) \
+	camera.$(OBJEXT) player.$(OBJEXT) npc.$(OBJEXT) npc2.$(OBJEXT) \
+	environment.$(OBJEXT) skysphere.$(OBJEXT) skybox.$(OBJEXT) \
+	terrain.$(OBJEXT) satellite.$(OBJEXT) \
+	character_attributes.$(OBJEXT) test_entity.$(OBJEXT) \
+	weapon_manager.$(OBJEXT) weapon.$(OBJEXT) projectile.$(OBJEXT) \
+	test_gun.$(OBJEXT) turret.$(OBJEXT) test_bullet.$(OBJEXT) \
+	crosshair.$(OBJEXT)
+libORXworld_entities_a_OBJECTS = $(am_libORXworld_entities_a_OBJECTS)
+>>>>>>> .merge-right.r5449
 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
 depcomp = $(SHELL) $(top_srcdir)/depcomp
 am__depfiles_maybe = depfiles
+<<<<<<< .working
 @AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/camera.Plo \
 @AMDEP_TRUE@	./$(DEPDIR)/character_attributes.Plo \
@@ -81,14 +99,25 @@
 @AMDEP_TRUE@	./$(DEPDIR)/weapon_manager.Plo \
 @AMDEP_TRUE@	./$(DEPDIR)/world_entity.Plo
+=======
+@AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/camera.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/character_attributes.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/crosshair.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/environment.Po ./$(DEPDIR)/npc.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/npc2.Po ./$(DEPDIR)/player.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/projectile.Po ./$(DEPDIR)/satellite.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/skybox.Po ./$(DEPDIR)/skysphere.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/terrain.Po ./$(DEPDIR)/test_bullet.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/test_entity.Po ./$(DEPDIR)/test_gun.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/turret.Po ./$(DEPDIR)/weapon.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/weapon_manager.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/world_entity.Po
+>>>>>>> .merge-right.r5449
 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
-LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) \
-	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
-	$(AM_CXXFLAGS) $(CXXFLAGS)
 CXXLD = $(CXX)
-CXXLINK = $(LIBTOOL) --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) \
-	$(AM_LDFLAGS) $(LDFLAGS) -o $@
-SOURCES = $(libORXworld_entities_la_SOURCES)
-DIST_SOURCES = $(libORXworld_entities_la_SOURCES)
+CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
+	-o $@
+SOURCES = $(libORXworld_entities_a_SOURCES)
+DIST_SOURCES = $(libORXworld_entities_a_SOURCES)
 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
 	html-recursive info-recursive install-data-recursive \
@@ -106,5 +135,4 @@
 AMDEP_TRUE = @AMDEP_TRUE@
 AMTAR = @AMTAR@
-AR = @AR@
 AUTOCONF = @AUTOCONF@
 AUTOHEADER = @AUTOHEADER@
@@ -119,5 +147,4 @@
 CURL_LIBS = @CURL_LIBS@
 CXX = @CXX@
-CXXCPP = @CXXCPP@
 CXXDEPMODE = @CXXDEPMODE@
 CXXFLAGS = @CXXFLAGS@
@@ -131,5 +158,4 @@
 DOXYGEN_FALSE = @DOXYGEN_FALSE@
 DOXYGEN_TRUE = @DOXYGEN_TRUE@
-ECHO = @ECHO@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
@@ -137,6 +163,4 @@
 EGREP = @EGREP@
 EXEEXT = @EXEEXT@
-F77 = @F77@
-FFLAGS = @FFLAGS@
 GPROF = @GPROF@
 GTK2_CFLAGS = @GTK2_CFLAGS@
@@ -153,6 +177,4 @@
 LIBOBJS = @LIBOBJS@
 LIBS = @LIBS@
-LIBTOOL = @LIBTOOL@
-LN_S = @LN_S@
 LTLIBOBJS = @LTLIBOBJS@
 MAKEINFO = @MAKEINFO@
@@ -174,8 +196,6 @@
 SUB_PROJECTS_TRUE = @SUB_PROJECTS_TRUE@
 VERSION = @VERSION@
-ac_ct_AR = @ac_ct_AR@
 ac_ct_CC = @ac_ct_CC@
 ac_ct_CXX = @ac_ct_CXX@
-ac_ct_F77 = @ac_ct_F77@
 ac_ct_RANLIB = @ac_ct_RANLIB@
 ac_ct_STRIP = @ac_ct_STRIP@
@@ -220,6 +240,6 @@
 target_vendor = @target_vendor@
 MAINSRCDIR = ..
-pkglib_LTLIBRARIES = libORXworld_entities.la
-libORXworld_entities_la_SOURCES = \
+noinst_LIBRARIES = libORXworld_entities.a
+libORXworld_entities_a_SOURCES = \
                   world_entity.cc \
                   camera.cc \
@@ -240,4 +260,5 @@
                   weapons/projectile.cc \
                   weapons/test_bullet.cc \
+<<<<<<< .working
                   weapons/rocket.cc \
                   weapons/laser.cc \
@@ -246,4 +267,7 @@
                   power_ups/turret_power_up.cc \
                   power_ups/laser_power_up.cc
+=======
+                  weapons/crosshair.cc
+>>>>>>> .merge-right.r5449
 
 noinst_HEADERS = \
@@ -256,4 +280,5 @@
                  skysphere.h \
                  skybox.h \
+                 power_up.h \
                  terrain.h \
                  satellite.h \
@@ -266,8 +291,12 @@
                  weapons/turret.h \
                  weapons/test_bullet.h \
+<<<<<<< .working
                  weapons/crosshair.h \
                  power_ups/power_up.h \
                  power_ups/turret_power_up.h \
                  power_ups/laser_power_up.h
+=======
+                 weapons/crosshair.h
+>>>>>>> .merge-right.r5449
 
 SUBDIRS = .          .
@@ -275,5 +304,5 @@
 
 .SUFFIXES:
-.SUFFIXES: .cc .lo .o .obj
+.SUFFIXES: .cc .o .obj
 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
 	@for dep in $?; do \
@@ -305,33 +334,11 @@
 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
-install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
-	@$(NORMAL_INSTALL)
-	test -z "$(pkglibdir)" || $(mkdir_p) "$(DESTDIR)$(pkglibdir)"
-	@list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
-	  if test -f $$p; then \
-	    f="`echo $$p | sed -e 's|^.*/||'`"; \
-	    echo " $(LIBTOOL) --mode=install $(pkglibLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$(pkglibdir)/$$f'"; \
-	    $(LIBTOOL) --mode=install $(pkglibLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(pkglibdir)/$$f"; \
-	  else :; fi; \
-	done
-
-uninstall-pkglibLTLIBRARIES:
-	@$(NORMAL_UNINSTALL)
-	@list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
-	    p="`echo $$p | sed -e 's|^.*/||'`"; \
-	  echo " $(LIBTOOL) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$p'"; \
-	  $(LIBTOOL) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$p"; \
-	done
-
-clean-pkglibLTLIBRARIES:
-	-test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
-	@list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
-	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
-	  test "$$dir" != "$$p" || dir=.; \
-	  echo "rm -f \"$${dir}/so_locations\""; \
-	  rm -f "$${dir}/so_locations"; \
-	done
-libORXworld_entities.la: $(libORXworld_entities_la_OBJECTS) $(libORXworld_entities_la_DEPENDENCIES) 
-	$(CXXLINK) -rpath $(pkglibdir) $(libORXworld_entities_la_LDFLAGS) $(libORXworld_entities_la_OBJECTS) $(libORXworld_entities_la_LIBADD) $(LIBS)
+
+clean-noinstLIBRARIES:
+	-test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
+libORXworld_entities.a: $(libORXworld_entities_a_OBJECTS) $(libORXworld_entities_a_DEPENDENCIES) 
+	-rm -f libORXworld_entities.a
+	$(libORXworld_entities_a_AR) libORXworld_entities.a $(libORXworld_entities_a_OBJECTS) $(libORXworld_entities_a_LIBADD)
+	$(RANLIB) libORXworld_entities.a
 
 mostlyclean-compile:
@@ -341,4 +348,5 @@
 	-rm -f *.tab.c
 
+<<<<<<< .working
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/camera.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/character_attributes.Plo@am__quote@
@@ -365,4 +373,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/weapon_manager.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/world_entity.Plo@am__quote@
+=======
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/camera.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/character_attributes.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/crosshair.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/environment.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/npc.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/npc2.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/player.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/projectile.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/satellite.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/skybox.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/skysphere.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/terrain.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_bullet.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_entity.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_gun.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/turret.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/weapon.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/weapon_manager.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/world_entity.Po@am__quote@
+>>>>>>> .merge-right.r5449
 
 .cc.o:
@@ -382,12 +411,4 @@
 @am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
-.cc.lo:
-@am__fastdepCXX_TRUE@	if $(LTCXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(LTCXXCOMPILE) -c -o $@ $<
-
 weapon_manager.o: weapons/weapon_manager.cc
 @am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT weapon_manager.o -MD -MP -MF "$(DEPDIR)/weapon_manager.Tpo" -c -o weapon_manager.o `test -f 'weapons/weapon_manager.cc' || echo '$(srcdir)/'`weapons/weapon_manager.cc; \
@@ -406,12 +427,4 @@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o weapon_manager.obj `if test -f 'weapons/weapon_manager.cc'; then $(CYGPATH_W) 'weapons/weapon_manager.cc'; else $(CYGPATH_W) '$(srcdir)/weapons/weapon_manager.cc'; fi`
 
-weapon_manager.lo: weapons/weapon_manager.cc
-@am__fastdepCXX_TRUE@	if $(LIBTOOL) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT weapon_manager.lo -MD -MP -MF "$(DEPDIR)/weapon_manager.Tpo" -c -o weapon_manager.lo `test -f 'weapons/weapon_manager.cc' || echo '$(srcdir)/'`weapons/weapon_manager.cc; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/weapon_manager.Tpo" "$(DEPDIR)/weapon_manager.Plo"; else rm -f "$(DEPDIR)/weapon_manager.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='weapons/weapon_manager.cc' object='weapon_manager.lo' libtool=yes @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/weapon_manager.Plo' tmpdepfile='$(DEPDIR)/weapon_manager.TPlo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(LIBTOOL) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o weapon_manager.lo `test -f 'weapons/weapon_manager.cc' || echo '$(srcdir)/'`weapons/weapon_manager.cc
-
 weapon.o: weapons/weapon.cc
 @am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT weapon.o -MD -MP -MF "$(DEPDIR)/weapon.Tpo" -c -o weapon.o `test -f 'weapons/weapon.cc' || echo '$(srcdir)/'`weapons/weapon.cc; \
@@ -430,12 +443,23 @@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o weapon.obj `if test -f 'weapons/weapon.cc'; then $(CYGPATH_W) 'weapons/weapon.cc'; else $(CYGPATH_W) '$(srcdir)/weapons/weapon.cc'; fi`
 
-weapon.lo: weapons/weapon.cc
-@am__fastdepCXX_TRUE@	if $(LIBTOOL) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT weapon.lo -MD -MP -MF "$(DEPDIR)/weapon.Tpo" -c -o weapon.lo `test -f 'weapons/weapon.cc' || echo '$(srcdir)/'`weapons/weapon.cc; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/weapon.Tpo" "$(DEPDIR)/weapon.Plo"; else rm -f "$(DEPDIR)/weapon.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='weapons/weapon.cc' object='weapon.lo' libtool=yes @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/weapon.Plo' tmpdepfile='$(DEPDIR)/weapon.TPlo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(LIBTOOL) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o weapon.lo `test -f 'weapons/weapon.cc' || echo '$(srcdir)/'`weapons/weapon.cc
-
+<<<<<<< .working
+=======
+projectile.o: weapons/projectile.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT projectile.o -MD -MP -MF "$(DEPDIR)/projectile.Tpo" -c -o projectile.o `test -f 'weapons/projectile.cc' || echo '$(srcdir)/'`weapons/projectile.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/projectile.Tpo" "$(DEPDIR)/projectile.Po"; else rm -f "$(DEPDIR)/projectile.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='weapons/projectile.cc' object='projectile.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/projectile.Po' tmpdepfile='$(DEPDIR)/projectile.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o projectile.o `test -f 'weapons/projectile.cc' || echo '$(srcdir)/'`weapons/projectile.cc
+
+projectile.obj: weapons/projectile.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT projectile.obj -MD -MP -MF "$(DEPDIR)/projectile.Tpo" -c -o projectile.obj `if test -f 'weapons/projectile.cc'; then $(CYGPATH_W) 'weapons/projectile.cc'; else $(CYGPATH_W) '$(srcdir)/weapons/projectile.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/projectile.Tpo" "$(DEPDIR)/projectile.Po"; else rm -f "$(DEPDIR)/projectile.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='weapons/projectile.cc' object='projectile.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/projectile.Po' tmpdepfile='$(DEPDIR)/projectile.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o projectile.obj `if test -f 'weapons/projectile.cc'; then $(CYGPATH_W) 'weapons/projectile.cc'; else $(CYGPATH_W) '$(srcdir)/weapons/projectile.cc'; fi`
+
+>>>>>>> .merge-right.r5449
 test_gun.o: weapons/test_gun.cc
 @am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT test_gun.o -MD -MP -MF "$(DEPDIR)/test_gun.Tpo" -c -o test_gun.o `test -f 'weapons/test_gun.cc' || echo '$(srcdir)/'`weapons/test_gun.cc; \
@@ -454,12 +478,4 @@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o test_gun.obj `if test -f 'weapons/test_gun.cc'; then $(CYGPATH_W) 'weapons/test_gun.cc'; else $(CYGPATH_W) '$(srcdir)/weapons/test_gun.cc'; fi`
 
-test_gun.lo: weapons/test_gun.cc
-@am__fastdepCXX_TRUE@	if $(LIBTOOL) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT test_gun.lo -MD -MP -MF "$(DEPDIR)/test_gun.Tpo" -c -o test_gun.lo `test -f 'weapons/test_gun.cc' || echo '$(srcdir)/'`weapons/test_gun.cc; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/test_gun.Tpo" "$(DEPDIR)/test_gun.Plo"; else rm -f "$(DEPDIR)/test_gun.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='weapons/test_gun.cc' object='test_gun.lo' libtool=yes @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/test_gun.Plo' tmpdepfile='$(DEPDIR)/test_gun.TPlo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(LIBTOOL) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o test_gun.lo `test -f 'weapons/test_gun.cc' || echo '$(srcdir)/'`weapons/test_gun.cc
-
 turret.o: weapons/turret.cc
 @am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT turret.o -MD -MP -MF "$(DEPDIR)/turret.Tpo" -c -o turret.o `test -f 'weapons/turret.cc' || echo '$(srcdir)/'`weapons/turret.cc; \
@@ -478,12 +494,4 @@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o turret.obj `if test -f 'weapons/turret.cc'; then $(CYGPATH_W) 'weapons/turret.cc'; else $(CYGPATH_W) '$(srcdir)/weapons/turret.cc'; fi`
 
-turret.lo: weapons/turret.cc
-@am__fastdepCXX_TRUE@	if $(LIBTOOL) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT turret.lo -MD -MP -MF "$(DEPDIR)/turret.Tpo" -c -o turret.lo `test -f 'weapons/turret.cc' || echo '$(srcdir)/'`weapons/turret.cc; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/turret.Tpo" "$(DEPDIR)/turret.Plo"; else rm -f "$(DEPDIR)/turret.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='weapons/turret.cc' object='turret.lo' libtool=yes @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/turret.Plo' tmpdepfile='$(DEPDIR)/turret.TPlo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(LIBTOOL) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o turret.lo `test -f 'weapons/turret.cc' || echo '$(srcdir)/'`weapons/turret.cc
-
 projectile.o: weapons/projectile.cc
 @am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT projectile.o -MD -MP -MF "$(DEPDIR)/projectile.Tpo" -c -o projectile.o `test -f 'weapons/projectile.cc' || echo '$(srcdir)/'`weapons/projectile.cc; \
@@ -526,12 +534,4 @@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o test_bullet.obj `if test -f 'weapons/test_bullet.cc'; then $(CYGPATH_W) 'weapons/test_bullet.cc'; else $(CYGPATH_W) '$(srcdir)/weapons/test_bullet.cc'; fi`
 
-test_bullet.lo: weapons/test_bullet.cc
-@am__fastdepCXX_TRUE@	if $(LIBTOOL) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT test_bullet.lo -MD -MP -MF "$(DEPDIR)/test_bullet.Tpo" -c -o test_bullet.lo `test -f 'weapons/test_bullet.cc' || echo '$(srcdir)/'`weapons/test_bullet.cc; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/test_bullet.Tpo" "$(DEPDIR)/test_bullet.Plo"; else rm -f "$(DEPDIR)/test_bullet.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='weapons/test_bullet.cc' object='test_bullet.lo' libtool=yes @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/test_bullet.Plo' tmpdepfile='$(DEPDIR)/test_bullet.TPlo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(LIBTOOL) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o test_bullet.lo `test -f 'weapons/test_bullet.cc' || echo '$(srcdir)/'`weapons/test_bullet.cc
-
 rocket.o: weapons/rocket.cc
 @am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT rocket.o -MD -MP -MF "$(DEPDIR)/rocket.Tpo" -c -o rocket.o `test -f 'weapons/rocket.cc' || echo '$(srcdir)/'`weapons/rocket.cc; \
@@ -597,4 +597,5 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o crosshair.obj `if test -f 'weapons/crosshair.cc'; then $(CYGPATH_W) 'weapons/crosshair.cc'; else $(CYGPATH_W) '$(srcdir)/weapons/crosshair.cc'; fi`
+<<<<<<< .working
 
 crosshair.lo: weapons/crosshair.cc
@@ -686,4 +687,6 @@
 distclean-libtool:
 	-rm -f libtool
+=======
+>>>>>>> .merge-right.r5449
 uninstall-info-am:
 
@@ -809,5 +812,5 @@
 
 distdir: $(DISTFILES)
-	$(mkdir_p) $(distdir)/power_ups $(distdir)/weapons
+	$(mkdir_p) $(distdir)/weapons
 	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
@@ -851,10 +854,7 @@
 check-am: all-am
 check: check-recursive
-all-am: Makefile $(LTLIBRARIES) $(HEADERS)
+all-am: Makefile $(LIBRARIES) $(HEADERS)
 installdirs: installdirs-recursive
 installdirs-am:
-	for dir in "$(DESTDIR)$(pkglibdir)"; do \
-	  test -z "$$dir" || $(mkdir_p) "$$dir"; \
-	done
 install: install-recursive
 install-exec: install-exec-recursive
@@ -883,6 +883,5 @@
 clean: clean-recursive
 
-clean-am: clean-generic clean-libtool clean-pkglibLTLIBRARIES \
-	mostlyclean-am
+clean-am: clean-generic clean-noinstLIBRARIES mostlyclean-am
 
 distclean: distclean-recursive
@@ -890,5 +889,5 @@
 	-rm -f Makefile
 distclean-am: clean-am distclean-compile distclean-generic \
-	distclean-libtool distclean-tags
+	distclean-tags
 
 dvi: dvi-recursive
@@ -904,5 +903,5 @@
 install-data-am:
 
-install-exec-am: install-pkglibLTLIBRARIES
+install-exec-am:
 
 install-info: install-info-recursive
@@ -919,6 +918,5 @@
 mostlyclean: mostlyclean-recursive
 
-mostlyclean-am: mostlyclean-compile mostlyclean-generic \
-	mostlyclean-libtool
+mostlyclean-am: mostlyclean-compile mostlyclean-generic
 
 pdf: pdf-recursive
@@ -930,22 +928,20 @@
 ps-am:
 
-uninstall-am: uninstall-info-am uninstall-pkglibLTLIBRARIES
+uninstall-am: uninstall-info-am
 
 uninstall-info: uninstall-info-recursive
 
 .PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am check check-am \
-	clean clean-generic clean-libtool clean-pkglibLTLIBRARIES \
-	clean-recursive ctags ctags-recursive distclean \
-	distclean-compile distclean-generic distclean-libtool \
-	distclean-recursive distclean-tags distdir dvi dvi-am html \
-	html-am info info-am install install-am install-data \
-	install-data-am install-exec install-exec-am install-info \
-	install-info-am install-man install-pkglibLTLIBRARIES \
-	install-strip installcheck installcheck-am installdirs \
-	installdirs-am maintainer-clean maintainer-clean-generic \
+	clean clean-generic clean-noinstLIBRARIES clean-recursive \
+	ctags ctags-recursive distclean distclean-compile \
+	distclean-generic distclean-recursive distclean-tags distdir \
+	dvi dvi-am html html-am info info-am install install-am \
+	install-data install-data-am install-exec install-exec-am \
+	install-info install-info-am install-man install-strip \
+	installcheck installcheck-am installdirs installdirs-am \
+	maintainer-clean maintainer-clean-generic \
 	maintainer-clean-recursive mostlyclean mostlyclean-compile \
-	mostlyclean-generic mostlyclean-libtool mostlyclean-recursive \
-	pdf pdf-am ps ps-am tags tags-recursive uninstall uninstall-am \
-	uninstall-info-am uninstall-pkglibLTLIBRARIES
+	mostlyclean-generic mostlyclean-recursive pdf pdf-am ps ps-am \
+	tags tags-recursive uninstall uninstall-am uninstall-info-am
 
 include $(MAINSRCDIR)/defs/include_paths.am