Index: /trunk/src/Makefile.in
===================================================================
--- /trunk/src/Makefile.in	(revision 5464)
+++ /trunk/src/Makefile.in	(revision 5465)
@@ -366,7 +366,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/Makefile
+	  $(AUTOMAKE) --foreign  src/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /trunk/src/lib/Makefile.in
===================================================================
--- /trunk/src/lib/Makefile.in	(revision 5464)
+++ /trunk/src/lib/Makefile.in	(revision 5465)
@@ -275,7 +275,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/lib/Makefile
+	  $(AUTOMAKE) --foreign  src/lib/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /trunk/src/lib/collision_detection/Makefile.in
===================================================================
--- /trunk/src/lib/collision_detection/Makefile.in	(revision 5464)
+++ /trunk/src/lib/collision_detection/Makefile.in	(revision 5465)
@@ -224,7 +224,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/collision_detection/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/collision_detection/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/lib/collision_detection/Makefile
+	  $(AUTOMAKE) --foreign  src/lib/collision_detection/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /trunk/src/lib/event/Makefile.in
===================================================================
--- /trunk/src/lib/event/Makefile.in	(revision 5464)
+++ /trunk/src/lib/event/Makefile.in	(revision 5465)
@@ -212,7 +212,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/event/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/event/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/lib/event/Makefile
+	  $(AUTOMAKE) --foreign  src/lib/event/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /trunk/src/lib/graphics/Makefile.in
===================================================================
--- /trunk/src/lib/graphics/Makefile.in	(revision 5464)
+++ /trunk/src/lib/graphics/Makefile.in	(revision 5465)
@@ -230,7 +230,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/graphics/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/graphics/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/lib/graphics/Makefile
+	  $(AUTOMAKE) --foreign  src/lib/graphics/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /trunk/src/lib/graphics/importer/Makefile.in
===================================================================
--- /trunk/src/lib/graphics/importer/Makefile.in	(revision 5464)
+++ /trunk/src/lib/graphics/importer/Makefile.in	(revision 5465)
@@ -217,7 +217,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/graphics/importer/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/graphics/importer/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/lib/graphics/importer/Makefile
+	  $(AUTOMAKE) --foreign  src/lib/graphics/importer/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /trunk/src/lib/graphics/spatial_separation/Makefile.in
===================================================================
--- /trunk/src/lib/graphics/spatial_separation/Makefile.in	(revision 5464)
+++ /trunk/src/lib/graphics/spatial_separation/Makefile.in	(revision 5465)
@@ -205,7 +205,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/graphics/spatial_separation/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/graphics/spatial_separation/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/lib/graphics/spatial_separation/Makefile
+	  $(AUTOMAKE) --foreign  src/lib/graphics/spatial_separation/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /trunk/src/lib/gui/Makefile.in
===================================================================
--- /trunk/src/lib/gui/Makefile.in	(revision 5464)
+++ /trunk/src/lib/gui/Makefile.in	(revision 5465)
@@ -179,7 +179,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/gui/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/gui/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/lib/gui/Makefile
+	  $(AUTOMAKE) --foreign  src/lib/gui/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /trunk/src/lib/gui/gl_gui/Makefile.in
===================================================================
--- /trunk/src/lib/gui/gl_gui/Makefile.in	(revision 5464)
+++ /trunk/src/lib/gui/gl_gui/Makefile.in	(revision 5465)
@@ -238,7 +238,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/gui/gl_gui/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/gui/gl_gui/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/lib/gui/gl_gui/Makefile
+	  $(AUTOMAKE) --foreign  src/lib/gui/gl_gui/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /trunk/src/lib/gui/gtk_gui/Makefile.in
===================================================================
--- /trunk/src/lib/gui/gtk_gui/Makefile.in	(revision 5464)
+++ /trunk/src/lib/gui/gtk_gui/Makefile.in	(revision 5465)
@@ -240,7 +240,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/gui/gtk_gui/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/gui/gtk_gui/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/lib/gui/gtk_gui/Makefile
+	  $(AUTOMAKE) --foreign  src/lib/gui/gtk_gui/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /trunk/src/lib/particles/Makefile.in
===================================================================
--- /trunk/src/lib/particles/Makefile.in	(revision 5464)
+++ /trunk/src/lib/particles/Makefile.in	(revision 5465)
@@ -209,7 +209,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/particles/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/particles/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/lib/particles/Makefile
+	  $(AUTOMAKE) --foreign  src/lib/particles/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /trunk/src/lib/physics/Makefile.in
===================================================================
--- /trunk/src/lib/physics/Makefile.in	(revision 5464)
+++ /trunk/src/lib/physics/Makefile.in	(revision 5465)
@@ -218,7 +218,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/physics/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/physics/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/lib/physics/Makefile
+	  $(AUTOMAKE) --foreign  src/lib/physics/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /trunk/src/lib/shell/Makefile.in
===================================================================
--- /trunk/src/lib/shell/Makefile.in	(revision 5464)
+++ /trunk/src/lib/shell/Makefile.in	(revision 5465)
@@ -212,7 +212,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/shell/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/shell/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/lib/shell/Makefile
+	  $(AUTOMAKE) --foreign  src/lib/shell/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /trunk/src/lib/sound/Makefile.in
===================================================================
--- /trunk/src/lib/sound/Makefile.in	(revision 5464)
+++ /trunk/src/lib/sound/Makefile.in	(revision 5465)
@@ -209,7 +209,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/sound/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/sound/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/lib/sound/Makefile
+	  $(AUTOMAKE) --foreign  src/lib/sound/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /trunk/src/lib/tinyxml/Makefile.in
===================================================================
--- /trunk/src/lib/tinyxml/Makefile.in	(revision 5464)
+++ /trunk/src/lib/tinyxml/Makefile.in	(revision 5465)
@@ -204,7 +204,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/tinyxml/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/tinyxml/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/lib/tinyxml/Makefile
+	  $(AUTOMAKE) --foreign  src/lib/tinyxml/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /trunk/src/subprojects/Makefile.in
===================================================================
--- /trunk/src/subprojects/Makefile.in	(revision 5464)
+++ /trunk/src/subprojects/Makefile.in	(revision 5465)
@@ -186,7 +186,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/subprojects/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/subprojects/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/subprojects/Makefile
+	  $(AUTOMAKE) --foreign  src/subprojects/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /trunk/src/subprojects/collision_detection/Makefile.in
===================================================================
--- /trunk/src/subprojects/collision_detection/Makefile.in	(revision 5464)
+++ /trunk/src/subprojects/collision_detection/Makefile.in	(revision 5465)
@@ -276,7 +276,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/subprojects/collision_detection/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/subprojects/collision_detection/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/subprojects/collision_detection/Makefile
+	  $(AUTOMAKE) --foreign  src/subprojects/collision_detection/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /trunk/src/subprojects/importer/Makefile.in
===================================================================
--- /trunk/src/subprojects/importer/Makefile.in	(revision 5464)
+++ /trunk/src/subprojects/importer/Makefile.in	(revision 5465)
@@ -245,7 +245,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/subprojects/importer/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/subprojects/importer/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/subprojects/importer/Makefile
+	  $(AUTOMAKE) --foreign  src/subprojects/importer/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /trunk/src/subprojects/particles/Makefile.in
===================================================================
--- /trunk/src/subprojects/particles/Makefile.in	(revision 5464)
+++ /trunk/src/subprojects/particles/Makefile.in	(revision 5465)
@@ -267,7 +267,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/subprojects/particles/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/subprojects/particles/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/subprojects/particles/Makefile
+	  $(AUTOMAKE) --foreign  src/subprojects/particles/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /trunk/src/subprojects/testmain/Makefile.in
===================================================================
--- /trunk/src/subprojects/testmain/Makefile.in	(revision 5464)
+++ /trunk/src/subprojects/testmain/Makefile.in	(revision 5465)
@@ -196,7 +196,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/subprojects/testmain/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/subprojects/testmain/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/subprojects/testmain/Makefile
+	  $(AUTOMAKE) --foreign  src/subprojects/testmain/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /trunk/src/util/Makefile.in
===================================================================
--- /trunk/src/util/Makefile.in	(revision 5464)
+++ /trunk/src/util/Makefile.in	(revision 5465)
@@ -242,7 +242,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/util/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/util/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/util/Makefile
+	  $(AUTOMAKE) --foreign  src/util/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /trunk/src/world_entities/terrain.cc
===================================================================
--- /trunk/src/world_entities/terrain.cc	(revision 5464)
+++ /trunk/src/world_entities/terrain.cc	(revision 5465)
@@ -21,4 +21,6 @@
 #include "factory.h"
 #include "spatial_separation.h"
+
+#include "resource_manager.h"
 
 using namespace std;
@@ -78,4 +80,8 @@
   if( this->ssp)
     delete ssp;
+  if (this->vegetation)
+  {
+    ResourceManager::getInstance()->unload(this->vegetation);
+  }
 }
 
@@ -87,4 +93,5 @@
   this->objectList = 0;
   this->ssp = NULL;
+  this->vegetation = NULL;
 }
 
@@ -94,6 +101,24 @@
   static_cast<WorldEntity*>(this)->loadParams(root);
 
+  LoadParam<Terrain>(root, "vegetation", this, &Terrain::loadVegetation)
+      .describe("the fileName of the vegetation, that should be loaded onto this terrain. (must be relative to the data-dir)") ;
+
   //LoadParam<Terrain>(root, "DebugTerrain",  );
 }
+
+void Terrain::loadVegetation(const char* vegetationFile)
+{
+  if (this->vegetation)
+    ResourceManager::getInstance()->unload(this->vegetation, RP_LEVEL);
+  if (vegetationFile != NULL)
+  {
+    PRINTF(4)("fetching %s\n", vegetationFile);
+      this->vegetation = (Model*)ResourceManager::getInstance()->load(vegetationFile, OBJ, RP_CAMPAIGN);
+  }
+  else
+    this->vegetation = NULL;
+}
+
+
 
 void Terrain::draw ()
@@ -114,4 +139,6 @@
   else if (this->model)
     this->model->draw();
+  if (this->vegetation)
+    this->vegetation->draw();
   glPopMatrix();
 
Index: /trunk/src/world_entities/terrain.h
===================================================================
--- /trunk/src/world_entities/terrain.h	(revision 5464)
+++ /trunk/src/world_entities/terrain.h	(revision 5465)
@@ -33,4 +33,6 @@
   void loadParams(const TiXmlElement* root);
 
+  void loadVegetation(const char* vegetationFile);
+
   void buildDebugTerrain(DebugTerrain debugTerrain);
   virtual void draw();
@@ -40,5 +42,6 @@
 
  private:
-  int objectList;
+   Model*              vegetation;
+   int                 objectList;
 };
 
Index: /trunk/src/world_entities/weapons/laser.cc
===================================================================
--- /trunk/src/world_entities/weapons/laser.cc	(revision 5464)
+++ /trunk/src/world_entities/weapons/laser.cc	(revision 5465)
@@ -51,5 +51,5 @@
   this->emitter->setParent(this);
   this->emitter->setSpread(M_PI, M_PI);
-  this->emitter->setEmissionRate(50.0);
+  this->emitter->setEmissionRate(300.0);
   this->emitter->setEmissionVelocity(50.0);
 }
@@ -83,6 +83,6 @@
     Laser::explosionParticles->setName("LaserExplosionParticles");
     Laser::explosionParticles->setLifeSpan(.5, .3);
-    Laser::explosionParticles->setRadius(0.0, 5);
-    Laser::explosionParticles->setRadius(.5, 10.0);
+    Laser::explosionParticles->setRadius(0.0, 3.0);
+    Laser::explosionParticles->setRadius(.5, 6.0);
     Laser::explosionParticles->setRadius(1.0, 3.0);
     Laser::explosionParticles->setColor(0.0, 1,1,0,.9);
Index: /trunk/src/world_entities/weapons/rocket.cc
===================================================================
--- /trunk/src/world_entities/weapons/rocket.cc	(revision 5464)
+++ /trunk/src/world_entities/weapons/rocket.cc	(revision 5465)
@@ -97,12 +97,13 @@
   if (unlikely(Rocket::explosionParticles == NULL))
   {
-    Rocket::explosionParticles = new ParticleSystem(1000, PARTICLE_SPRITE);
+    Rocket::explosionParticles = new ParticleSystem(200, PARTICLE_SPRITE);
     Rocket::explosionParticles->setName("RocketExplosionParticles");
-    Rocket::explosionParticles->setLifeSpan(.5, .3);
+    Rocket::explosionParticles->setLifeSpan(.6, .3);
     Rocket::explosionParticles->setRadius(0.0, 10);
     Rocket::explosionParticles->setRadius(.5, 20.0);
-    Rocket::explosionParticles->setRadius(1.0, 3.0);
-    Rocket::explosionParticles->setColor(0.0, 0,1,0,.9);
-    Rocket::explosionParticles->setColor(0.5, .8,.8,0,.5);
+    Rocket::explosionParticles->setRadius(1.0, 20.0);
+    Rocket::explosionParticles->setColor(0.0, 0,1,0,1);
+    Rocket::explosionParticles->setColor(0.5, .8,.8,0,.8);
+    Rocket::explosionParticles->setColor(0.8, .8,.8,.3,.8);
     Rocket::explosionParticles->setColor(1.0, 1,1,1,.0);
   }
@@ -164,5 +165,5 @@
   ParticleEngine::getInstance()->addConnection(this->emitter, Rocket::explosionParticles);
 
-  this->emitter->setEmissionRate(30.0);
+  this->emitter->setEmissionRate(1000.0);
   this->emitter->setEmissionVelocity(50.0);
 //  this->deactivate();
Index: /trunk/src/world_entities/world_entity.cc
===================================================================
--- /trunk/src/world_entities/world_entity.cc	(revision 5464)
+++ /trunk/src/world_entities/world_entity.cc	(revision 5465)
@@ -66,5 +66,9 @@
   // Model Loading
   LoadParam<WorldEntity>(root, "model", this, &WorldEntity::loadModel)
-    .describe("the fileName of the model, that should be loaded onto this world-entity. (must be relative to the data-dir)") ;
+      .describe("the fileName of the model, that should be loaded onto this world-entity. (must be relative to the data-dir)") ;
+
+  // HACK
+  LoadParam<WorldEntity>(root, "scaled-model", this, &WorldEntity::loadModelWithScale)
+      .describe("the fileName of the model, that should be loaded onto this world-entity. (must be relative to the data-dir)") ;
 }
 