Index: trunk/src/subprojects/collision_detection/Makefile.am
===================================================================
--- trunk/src/subprojects/collision_detection/Makefile.am	(revision 5482)
+++ trunk/src/subprojects/collision_detection/Makefile.am	(revision 5484)
@@ -33,5 +33,5 @@
                    $(MAINSRCDIR)/lib/math/vector.cc \
                    $(MAINSRCDIR)/lib/util/color.cc \
-                   $(MAINSRCDIR)/util/resource_manager.cc \
+                   $(MAINSRCDIR)/util/loading/resource_manager.cc \
                    $(MAINSRCDIR)/lib/coord/p_node.cc \
                    $(MAINSRCDIR)/lib/coord/null_parent.cc \
Index: trunk/src/subprojects/collision_detection/Makefile.in
===================================================================
--- trunk/src/subprojects/collision_detection/Makefile.in	(revision 5482)
+++ trunk/src/subprojects/collision_detection/Makefile.in	(revision 5484)
@@ -228,5 +228,5 @@
                    $(MAINSRCDIR)/lib/math/vector.cc \
                    $(MAINSRCDIR)/lib/util/color.cc \
-                   $(MAINSRCDIR)/util/resource_manager.cc \
+                   $(MAINSRCDIR)/util/loading/resource_manager.cc \
                    $(MAINSRCDIR)/lib/coord/p_node.cc \
                    $(MAINSRCDIR)/lib/coord/null_parent.cc \
@@ -514,17 +514,17 @@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o collision-color.obj `if test -f '$(MAINSRCDIR)/lib/util/color.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/util/color.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/util/color.cc'; fi`
 
-collision-resource_manager.o: $(MAINSRCDIR)/util/resource_manager.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT collision-resource_manager.o -MD -MP -MF "$(DEPDIR)/collision-resource_manager.Tpo" -c -o collision-resource_manager.o `test -f '$(MAINSRCDIR)/util/resource_manager.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/util/resource_manager.cc; \
+collision-resource_manager.o: $(MAINSRCDIR)/util/loading/resource_manager.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT collision-resource_manager.o -MD -MP -MF "$(DEPDIR)/collision-resource_manager.Tpo" -c -o collision-resource_manager.o `test -f '$(MAINSRCDIR)/util/loading/resource_manager.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/util/loading/resource_manager.cc; \
 @am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/collision-resource_manager.Tpo" "$(DEPDIR)/collision-resource_manager.Po"; else rm -f "$(DEPDIR)/collision-resource_manager.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/util/resource_manager.cc' object='collision-resource_manager.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o collision-resource_manager.o `test -f '$(MAINSRCDIR)/util/resource_manager.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/util/resource_manager.cc
-
-collision-resource_manager.obj: $(MAINSRCDIR)/util/resource_manager.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT collision-resource_manager.obj -MD -MP -MF "$(DEPDIR)/collision-resource_manager.Tpo" -c -o collision-resource_manager.obj `if test -f '$(MAINSRCDIR)/util/resource_manager.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/util/resource_manager.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/util/resource_manager.cc'; fi`; \
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/util/loading/resource_manager.cc' object='collision-resource_manager.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o collision-resource_manager.o `test -f '$(MAINSRCDIR)/util/loading/resource_manager.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/util/loading/resource_manager.cc
+
+collision-resource_manager.obj: $(MAINSRCDIR)/util/loading/resource_manager.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT collision-resource_manager.obj -MD -MP -MF "$(DEPDIR)/collision-resource_manager.Tpo" -c -o collision-resource_manager.obj `if test -f '$(MAINSRCDIR)/util/loading/resource_manager.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/util/loading/resource_manager.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/util/loading/resource_manager.cc'; fi`; \
 @am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/collision-resource_manager.Tpo" "$(DEPDIR)/collision-resource_manager.Po"; else rm -f "$(DEPDIR)/collision-resource_manager.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/util/resource_manager.cc' object='collision-resource_manager.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o collision-resource_manager.obj `if test -f '$(MAINSRCDIR)/util/resource_manager.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/util/resource_manager.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/util/resource_manager.cc'; fi`
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/util/loading/resource_manager.cc' object='collision-resource_manager.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o collision-resource_manager.obj `if test -f '$(MAINSRCDIR)/util/loading/resource_manager.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/util/loading/resource_manager.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/util/loading/resource_manager.cc'; fi`
 
 collision-p_node.o: $(MAINSRCDIR)/lib/coord/p_node.cc
Index: trunk/src/subprojects/framework.cc
===================================================================
--- trunk/src/subprojects/framework.cc	(revision 5482)
+++ trunk/src/subprojects/framework.cc	(revision 5484)
@@ -52,5 +52,5 @@
   }
 
-  if (!ResourceManager::getInstance()->checkDataDir(DEFAULT_DATA_DIR_CHECKFILE))
+  if (!ResourceManager::getInstance()->verifyDataDir(DEFAULT_DATA_DIR_CHECKFILE))
   {
     PRINTF(1)("The DataDirectory %s could not be verified\n" \