Index: /trunk/src/subprojects/framework.cc
===================================================================
--- /trunk/src/subprojects/framework.cc	(revision 5484)
+++ /trunk/src/subprojects/framework.cc	(revision 5485)
@@ -25,5 +25,5 @@
 #include "camera.h"
 #include "ini_parser.h"
-
+#include "globals.h"
 
 int verbose;
Index: /trunk/src/subprojects/importer/Makefile.am
===================================================================
--- /trunk/src/subprojects/importer/Makefile.am	(revision 5484)
+++ /trunk/src/subprojects/importer/Makefile.am	(revision 5485)
@@ -22,5 +22,5 @@
                   $(MAINSRCDIR)/lib/lang/class_list.cc \
                   $(MAINSRCDIR)/lib/math/vector.cc \
-                  $(MAINSRCDIR)/util/resource_manager.cc \
+                  $(MAINSRCDIR)/util/loading/resource_manager.cc \
                   $(MAINSRCDIR)/lib/util/ini_parser.cc \
                   $(MAINSRCDIR)/lib/coord/p_node.cc \
Index: /trunk/src/subprojects/importer/Makefile.in
===================================================================
--- /trunk/src/subprojects/importer/Makefile.in	(revision 5484)
+++ /trunk/src/subprojects/importer/Makefile.in	(revision 5485)
@@ -208,5 +208,5 @@
                   $(MAINSRCDIR)/lib/lang/class_list.cc \
                   $(MAINSRCDIR)/lib/math/vector.cc \
-                  $(MAINSRCDIR)/util/resource_manager.cc \
+                  $(MAINSRCDIR)/util/loading/resource_manager.cc \
                   $(MAINSRCDIR)/lib/util/ini_parser.cc \
                   $(MAINSRCDIR)/lib/coord/p_node.cc \
@@ -413,17 +413,17 @@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o importer-vector.obj `if test -f '$(MAINSRCDIR)/lib/math/vector.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/math/vector.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/math/vector.cc'; fi`
 
-importer-resource_manager.o: $(MAINSRCDIR)/util/resource_manager.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT importer-resource_manager.o -MD -MP -MF "$(DEPDIR)/importer-resource_manager.Tpo" -c -o importer-resource_manager.o `test -f '$(MAINSRCDIR)/util/resource_manager.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/util/resource_manager.cc; \
+importer-resource_manager.o: $(MAINSRCDIR)/util/loading/resource_manager.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT importer-resource_manager.o -MD -MP -MF "$(DEPDIR)/importer-resource_manager.Tpo" -c -o importer-resource_manager.o `test -f '$(MAINSRCDIR)/util/loading/resource_manager.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/util/loading/resource_manager.cc; \
 @am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/importer-resource_manager.Tpo" "$(DEPDIR)/importer-resource_manager.Po"; else rm -f "$(DEPDIR)/importer-resource_manager.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/util/resource_manager.cc' object='importer-resource_manager.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o importer-resource_manager.o `test -f '$(MAINSRCDIR)/util/resource_manager.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/util/resource_manager.cc
-
-importer-resource_manager.obj: $(MAINSRCDIR)/util/resource_manager.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT importer-resource_manager.obj -MD -MP -MF "$(DEPDIR)/importer-resource_manager.Tpo" -c -o importer-resource_manager.obj `if test -f '$(MAINSRCDIR)/util/resource_manager.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/util/resource_manager.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/util/resource_manager.cc'; fi`; \
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/util/loading/resource_manager.cc' object='importer-resource_manager.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o importer-resource_manager.o `test -f '$(MAINSRCDIR)/util/loading/resource_manager.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/util/loading/resource_manager.cc
+
+importer-resource_manager.obj: $(MAINSRCDIR)/util/loading/resource_manager.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT importer-resource_manager.obj -MD -MP -MF "$(DEPDIR)/importer-resource_manager.Tpo" -c -o importer-resource_manager.obj `if test -f '$(MAINSRCDIR)/util/loading/resource_manager.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/util/loading/resource_manager.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/util/loading/resource_manager.cc'; fi`; \
 @am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/importer-resource_manager.Tpo" "$(DEPDIR)/importer-resource_manager.Po"; else rm -f "$(DEPDIR)/importer-resource_manager.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/util/resource_manager.cc' object='importer-resource_manager.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o importer-resource_manager.obj `if test -f '$(MAINSRCDIR)/util/resource_manager.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/util/resource_manager.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/util/resource_manager.cc'; fi`
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/util/loading/resource_manager.cc' object='importer-resource_manager.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o importer-resource_manager.obj `if test -f '$(MAINSRCDIR)/util/loading/resource_manager.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/util/loading/resource_manager.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/util/loading/resource_manager.cc'; fi`
 
 importer-ini_parser.o: $(MAINSRCDIR)/lib/util/ini_parser.cc
Index: /trunk/src/subprojects/particles/Makefile.am
===================================================================
--- /trunk/src/subprojects/particles/Makefile.am	(revision 5484)
+++ /trunk/src/subprojects/particles/Makefile.am	(revision 5485)
@@ -30,5 +30,5 @@
                    $(MAINSRCDIR)/lib/lang/class_list.cc \
                    $(MAINSRCDIR)/lib/math/vector.cc \
-                   $(MAINSRCDIR)/util/resource_manager.cc \
+                   $(MAINSRCDIR)/util/loading/resource_manager.cc \
                    $(MAINSRCDIR)/lib/coord/p_node.cc \
                    $(MAINSRCDIR)/lib/coord/null_parent.cc \
Index: /trunk/src/subprojects/particles/Makefile.in
===================================================================
--- /trunk/src/subprojects/particles/Makefile.in	(revision 5484)
+++ /trunk/src/subprojects/particles/Makefile.in	(revision 5485)
@@ -227,5 +227,5 @@
                    $(MAINSRCDIR)/lib/lang/class_list.cc \
                    $(MAINSRCDIR)/lib/math/vector.cc \
-                   $(MAINSRCDIR)/util/resource_manager.cc \
+                   $(MAINSRCDIR)/util/loading/resource_manager.cc \
                    $(MAINSRCDIR)/lib/coord/p_node.cc \
                    $(MAINSRCDIR)/lib/coord/null_parent.cc \
@@ -479,17 +479,17 @@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-vector.obj `if test -f '$(MAINSRCDIR)/lib/math/vector.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/math/vector.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/math/vector.cc'; fi`
 
-particles-resource_manager.o: $(MAINSRCDIR)/util/resource_manager.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT particles-resource_manager.o -MD -MP -MF "$(DEPDIR)/particles-resource_manager.Tpo" -c -o particles-resource_manager.o `test -f '$(MAINSRCDIR)/util/resource_manager.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/util/resource_manager.cc; \
+particles-resource_manager.o: $(MAINSRCDIR)/util/loading/resource_manager.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT particles-resource_manager.o -MD -MP -MF "$(DEPDIR)/particles-resource_manager.Tpo" -c -o particles-resource_manager.o `test -f '$(MAINSRCDIR)/util/loading/resource_manager.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/util/loading/resource_manager.cc; \
 @am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/particles-resource_manager.Tpo" "$(DEPDIR)/particles-resource_manager.Po"; else rm -f "$(DEPDIR)/particles-resource_manager.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/util/resource_manager.cc' object='particles-resource_manager.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-resource_manager.o `test -f '$(MAINSRCDIR)/util/resource_manager.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/util/resource_manager.cc
-
-particles-resource_manager.obj: $(MAINSRCDIR)/util/resource_manager.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT particles-resource_manager.obj -MD -MP -MF "$(DEPDIR)/particles-resource_manager.Tpo" -c -o particles-resource_manager.obj `if test -f '$(MAINSRCDIR)/util/resource_manager.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/util/resource_manager.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/util/resource_manager.cc'; fi`; \
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/util/loading/resource_manager.cc' object='particles-resource_manager.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-resource_manager.o `test -f '$(MAINSRCDIR)/util/loading/resource_manager.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/util/loading/resource_manager.cc
+
+particles-resource_manager.obj: $(MAINSRCDIR)/util/loading/resource_manager.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT particles-resource_manager.obj -MD -MP -MF "$(DEPDIR)/particles-resource_manager.Tpo" -c -o particles-resource_manager.obj `if test -f '$(MAINSRCDIR)/util/loading/resource_manager.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/util/loading/resource_manager.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/util/loading/resource_manager.cc'; fi`; \
 @am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/particles-resource_manager.Tpo" "$(DEPDIR)/particles-resource_manager.Po"; else rm -f "$(DEPDIR)/particles-resource_manager.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/util/resource_manager.cc' object='particles-resource_manager.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-resource_manager.obj `if test -f '$(MAINSRCDIR)/util/resource_manager.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/util/resource_manager.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/util/resource_manager.cc'; fi`
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/util/loading/resource_manager.cc' object='particles-resource_manager.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-resource_manager.obj `if test -f '$(MAINSRCDIR)/util/loading/resource_manager.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/util/loading/resource_manager.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/util/loading/resource_manager.cc'; fi`
 
 particles-p_node.o: $(MAINSRCDIR)/lib/coord/p_node.cc