Index: data/media/levels/gametype_underattack.oxw
===================================================================
--- data/media/levels/gametype_underattack.oxw	(revision 5486)
+++ data/media/levels/gametype_underattack.oxw	(revision 5487)
@@ -16,17 +16,29 @@
     <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
 
-<?lua
-for i = 1, 10, 1 
-do ?>
-    <SpawnPoint position="<?lua print(math.random() * 1000 - 500) ?>,<?lua print(math.random() * 1000 - 500) ?>,<?lua print(math.random() * 1000 - 500) ?>" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
-<?lua 
-end
-?>
 
-    <Destroyer>
-        <attached>
-            <Model position="0,0,50" mesh="UEATransporter036T.mesh" scale="1" />
-        </attached>     
-    </Destroyer>
+        <Destroyer
+     position          = "0,0,150"
+     collisionType     = dynamic
+     mass              = 100
+     velocity          = "50,50,0"
+        >
+<!--
+     linearDamping     = 0.7
+     angularDamping    = 0.9999999
+-->
+          <attached>
+            <?lua
+            for i = 1, 10, 1 
+            do ?>
+            <SpawnPoint position="<?lua print(math.random() * 50 - 25) ?>,<?lua print(math.random() * 50 - 25) ?>,<?lua print(100 + math.random() * 50 - 25) ?>" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
+            <?lua end ?>
+            <Model mesh="Carrier.mesh" scale="1" />
+            <Backlight mainstate=activity active=false scale=0.4 name=bltest position=" 7.6, 0, 6" colour="0.6, 0.75, 0.8, 0.7" width=40 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
+           </attached>     
+            <collisionShapes>
+                <SphereCollisionShape radius="30" />
+            </collisionShapes>
+        </Destroyer>
+
     <GlobalShader compositor="Bloom" visible=false>
       <events>
@@ -36,4 +48,5 @@
       </events>
     </GlobalShader>
+
     <Model position="0,0,0" scale=8 mesh="ast1.mesh" />
     <StaticEntity position="0,0,0" collisionType=static>
@@ -42,44 +55,4 @@
       </collisionShapes>
     </StaticEntity>
-<!--
-<?lua
-for i = 1, 70, 1 
-do ?>
-  <MovableEntity position="<?lua print(math.random() * 6000 - 3000)?>, <?lua print(math.random() * 6000 - 3000) ?>, <?lua print(math.random() * 1000 + 3000) ?>" rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>">
-    <attached>
-      <Model scale="<?lua print(math.random() * 30 + 10) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" shadow=false />
-    </attached>
-  </MovableEntity>
-  <MovableEntity position="<?lua print(math.random() * 6000 - 3000)?>, <?lua print(math.random() * 6000 - 3000) ?>, <?lua print(math.random() * -1000 - 3000) ?>" rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>">
-    <attached>
-      <Model scale="<?lua print(math.random() * 30 + 10) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" shadow=false />
-    </attached>
-  </MovableEntity>
-
-  <MovableEntity position="<?lua print(math.random() * 6000 - 3000)?>, <?lua print(math.random() * 1000 + 3000) ?>, <?lua print(math.random() * 6000 - 3000) ?>" rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>">
-    <attached>
-      <Model scale="<?lua print(math.random() * 30 + 10) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" shadow=false />
-    </attached>
-  </MovableEntity>
-  <MovableEntity position="<?lua print(math.random() * 6000 - 3000)?>, <?lua print(math.random() * -1000 - 3000) ?>, <?lua print(math.random() * 6000 - 3000) ?>" rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>">
-    <attached>
-      <Model scale="<?lua print(math.random() * 30 + 10) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" shadow=false />
-    </attached>
-  </MovableEntity>
-
-  <MovableEntity position="<?lua print(math.random() * 1000 + 3000)?>, <?lua print(math.random() * 6000 - 3000) ?>, <?lua print(math.random() * 6000 - 3000) ?>" rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>">
-    <attached>
-      <Model scale="<?lua print(math.random() * 30 + 10) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" shadow=false />
-    </attached>
-  </MovableEntity>
-  <MovableEntity position="<?lua print(math.random() * -1000 - 3000)?>, <?lua print(math.random() * 6000 - 3000) ?>, <?lua print(math.random() * 6000 - 3000) ?>" rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>">
-    <attached>
-      <Model scale="<?lua print(math.random() * 30 + 10) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" shadow=false />
-    </attached>
-  </MovableEntity>
-<?lua 
-end
-?>
--->
   </Scene>
 </Level>