Index: trunk/src/world_entities/environment.cc
===================================================================
--- trunk/src/world_entities/environment.cc	(revision 5499)
+++ trunk/src/world_entities/environment.cc	(revision 5500)
@@ -87,5 +87,5 @@
  *  draws the Environment
 */
-void Environment::draw ()
+void Environment::draw () const
 {
   glMatrixMode(GL_MODELVIEW);
Index: trunk/src/world_entities/environment.h
===================================================================
--- trunk/src/world_entities/environment.h	(revision 5499)
+++ trunk/src/world_entities/environment.h	(revision 5500)
@@ -30,5 +30,5 @@
   virtual void tick (float time);
 
-  virtual void draw ();
+  virtual void draw () const;
 
 };
Index: trunk/src/world_entities/npc2.cc
===================================================================
--- trunk/src/world_entities/npc2.cc	(revision 5499)
+++ trunk/src/world_entities/npc2.cc	(revision 5500)
@@ -75,5 +75,5 @@
  * Just override this function with whatever you want to be drawn.
  */
-void NPC2::draw()
+void NPC2::draw() const
 {
   glMatrixMode(GL_MODELVIEW);
Index: trunk/src/world_entities/npc2.h
===================================================================
--- trunk/src/world_entities/npc2.h	(revision 5499)
+++ trunk/src/world_entities/npc2.h	(revision 5500)
@@ -19,5 +19,5 @@
 
   virtual void tick(float dt);
-  virtual void draw();
+  virtual void draw() const;
 
   virtual void collidesWith (WorldEntity* entity, const Vector& location);
Index: trunk/src/world_entities/player.cc
===================================================================
--- trunk/src/world_entities/player.cc	(revision 5499)
+++ trunk/src/world_entities/player.cc	(revision 5500)
@@ -233,5 +233,5 @@
  *  draws the player after transforming him.
 */
-void Player::draw ()
+void Player::draw () const
 {
   glMatrixMode(GL_MODELVIEW);
Index: trunk/src/world_entities/player.h
===================================================================
--- trunk/src/world_entities/player.h	(revision 5499)
+++ trunk/src/world_entities/player.h	(revision 5500)
@@ -44,5 +44,5 @@
     virtual void collidesWith(WorldEntity* entity, const Vector& location);
     virtual void tick(float time);
-    virtual void draw();
+    virtual void draw() const;
 
     virtual void process(const Event &event);
Index: trunk/src/world_entities/power_ups/laser_power_up.cc
===================================================================
--- trunk/src/world_entities/power_ups/laser_power_up.cc	(revision 5499)
+++ trunk/src/world_entities/power_ups/laser_power_up.cc	(revision 5500)
@@ -102,5 +102,5 @@
  * Just override this function with whatever you want to be drawn.
 */
-void LaserPowerUp::draw()
+void LaserPowerUp::draw() const
 {  glMatrixMode(GL_MODELVIEW);
   glPushMatrix();
Index: trunk/src/world_entities/power_ups/laser_power_up.h
===================================================================
--- trunk/src/world_entities/power_ups/laser_power_up.h	(revision 5499)
+++ trunk/src/world_entities/power_ups/laser_power_up.h	(revision 5500)
@@ -18,5 +18,5 @@
   virtual void LaserPowerUp::collidesWith(WorldEntity* entity, const Vector& location);
   virtual void tick(float dt);
-  virtual void draw();
+  virtual void draw() const;
 
   private:
Index: trunk/src/world_entities/power_ups/turret_power_up.cc
===================================================================
--- trunk/src/world_entities/power_ups/turret_power_up.cc	(revision 5499)
+++ trunk/src/world_entities/power_ups/turret_power_up.cc	(revision 5500)
@@ -102,5 +102,5 @@
  * Just override this function with whatever you want to be drawn.
 */
-void TurretPowerUp::draw()
+void TurretPowerUp::draw() const
 {  glMatrixMode(GL_MODELVIEW);
   glPushMatrix();
Index: trunk/src/world_entities/power_ups/turret_power_up.h
===================================================================
--- trunk/src/world_entities/power_ups/turret_power_up.h	(revision 5499)
+++ trunk/src/world_entities/power_ups/turret_power_up.h	(revision 5500)
@@ -18,5 +18,5 @@
   virtual void TurretPowerUp::collidesWith(WorldEntity* entity, const Vector& location);
   virtual void tick(float dt);
-  virtual void draw();
+  virtual void draw() const;
 
   private:
Index: trunk/src/world_entities/satellite.cc
===================================================================
--- trunk/src/world_entities/satellite.cc	(revision 5499)
+++ trunk/src/world_entities/satellite.cc	(revision 5500)
@@ -70,5 +70,5 @@
    This is a central function of an entity: call it to let the entity painted to the screen. Just override this function with whatever you want to be drawn.
 */
-void Satellite::draw()
+void Satellite::draw() const
 {
   glMatrixMode(GL_MODELVIEW);
Index: trunk/src/world_entities/satellite.h
===================================================================
--- trunk/src/world_entities/satellite.h	(revision 5499)
+++ trunk/src/world_entities/satellite.h	(revision 5500)
@@ -25,5 +25,5 @@
   virtual ~Satellite ();
 
-  virtual void draw ();
+  virtual void draw () const;
   virtual void tick (float time);
 
Index: trunk/src/world_entities/skysphere.cc
===================================================================
--- trunk/src/world_entities/skysphere.cc	(revision 5499)
+++ trunk/src/world_entities/skysphere.cc	(revision 5500)
@@ -96,5 +96,5 @@
    This part is normally precessed in the "Painting Phase".
 */
-void Skysphere::draw()
+void Skysphere::draw() const
 {
   glPushMatrix();
Index: trunk/src/world_entities/skysphere.h
===================================================================
--- trunk/src/world_entities/skysphere.h	(revision 5499)
+++ trunk/src/world_entities/skysphere.h	(revision 5500)
@@ -32,5 +32,5 @@
   void setTexture(char* fileName);
 
-  virtual void draw();
+  virtual void draw() const;
 
   private:
Index: trunk/src/world_entities/terrain.cc
===================================================================
--- trunk/src/world_entities/terrain.cc	(revision 5499)
+++ trunk/src/world_entities/terrain.cc	(revision 5500)
@@ -122,5 +122,5 @@
 
 
-void Terrain::draw ()
+void Terrain::draw () const
 {
   glMatrixMode(GL_MODELVIEW);
Index: trunk/src/world_entities/terrain.h
===================================================================
--- trunk/src/world_entities/terrain.h	(revision 5499)
+++ trunk/src/world_entities/terrain.h	(revision 5500)
@@ -36,5 +36,5 @@
 
   void buildDebugTerrain(DebugTerrain debugTerrain);
-  virtual void draw();
+  virtual void draw() const;
 
   public:
Index: trunk/src/world_entities/test_entity.cc
===================================================================
--- trunk/src/world_entities/test_entity.cc	(revision 5499)
+++ trunk/src/world_entities/test_entity.cc	(revision 5500)
@@ -77,5 +77,5 @@
 
 
-void TestEntity::draw ()
+void TestEntity::draw () const
 {
   glMatrixMode(GL_MODELVIEW);
Index: trunk/src/world_entities/test_entity.h
===================================================================
--- trunk/src/world_entities/test_entity.h	(revision 5499)
+++ trunk/src/world_entities/test_entity.h	(revision 5500)
@@ -24,5 +24,5 @@
   virtual void destroy ();
   virtual void collidesWith(WorldEntity* entity, const Vector& location);
-  virtual void draw ();
+  virtual void draw () const;
 
  private:
Index: trunk/src/world_entities/weapons/laser.cc
===================================================================
--- trunk/src/world_entities/weapons/laser.cc	(revision 5499)
+++ trunk/src/world_entities/weapons/laser.cc	(revision 5500)
@@ -144,5 +144,5 @@
 
 
-void Laser::draw ()
+void Laser::draw () const
 {
   glMatrixMode(GL_MODELVIEW);
Index: trunk/src/world_entities/weapons/laser.h
===================================================================
--- trunk/src/world_entities/weapons/laser.h	(revision 5499)
+++ trunk/src/world_entities/weapons/laser.h	(revision 5500)
@@ -30,5 +30,5 @@
 
     virtual void tick (float time);
-    virtual void draw ();
+    virtual void draw () const;
 
 
Index: trunk/src/world_entities/weapons/projectile.cc
===================================================================
--- trunk/src/world_entities/weapons/projectile.cc	(revision 5499)
+++ trunk/src/world_entities/weapons/projectile.cc	(revision 5500)
@@ -127,5 +127,5 @@
 
 
-void Projectile::draw ()
+void Projectile::draw () const
 {
   glMatrixMode(GL_MODELVIEW);
Index: trunk/src/world_entities/weapons/projectile.h
===================================================================
--- trunk/src/world_entities/weapons/projectile.h	(revision 5499)
+++ trunk/src/world_entities/weapons/projectile.h	(revision 5500)
@@ -40,5 +40,5 @@
 
     virtual void tick (float time);
-    virtual void draw ();
+    virtual void draw () const;
 
   protected:
Index: trunk/src/world_entities/weapons/rocket.cc
===================================================================
--- trunk/src/world_entities/weapons/rocket.cc	(revision 5499)
+++ trunk/src/world_entities/weapons/rocket.cc	(revision 5500)
@@ -177,5 +177,5 @@
 
 
-void Rocket::draw ()
+void Rocket::draw () const
 {
   glMatrixMode(GL_MODELVIEW);
Index: trunk/src/world_entities/weapons/rocket.h
===================================================================
--- trunk/src/world_entities/weapons/rocket.h	(revision 5499)
+++ trunk/src/world_entities/weapons/rocket.h	(revision 5500)
@@ -30,5 +30,5 @@
 
     virtual void tick (float time);
-    virtual void draw ();
+    virtual void draw () const;
 
 
Index: trunk/src/world_entities/weapons/test_bullet.cc
===================================================================
--- trunk/src/world_entities/weapons/test_bullet.cc	(revision 5499)
+++ trunk/src/world_entities/weapons/test_bullet.cc	(revision 5500)
@@ -171,5 +171,5 @@
 
 
-void TestBullet::draw ()
+void TestBullet::draw () const
 {
   glMatrixMode(GL_MODELVIEW);
Index: trunk/src/world_entities/weapons/test_bullet.h
===================================================================
--- trunk/src/world_entities/weapons/test_bullet.h	(revision 5499)
+++ trunk/src/world_entities/weapons/test_bullet.h	(revision 5500)
@@ -30,5 +30,5 @@
 
     virtual void tick (float time);
-    virtual void draw ();
+    virtual void draw () const;
 
 
Index: trunk/src/world_entities/weapons/test_gun.cc
===================================================================
--- trunk/src/world_entities/weapons/test_gun.cc	(revision 5499)
+++ trunk/src/world_entities/weapons/test_gun.cc	(revision 5500)
@@ -204,5 +204,5 @@
  *  this will draw the weapon
 */
-void TestGun::draw ()
+void TestGun::draw () const
 {
   /* draw gun body */
Index: trunk/src/world_entities/weapons/test_gun.h
===================================================================
--- trunk/src/world_entities/weapons/test_gun.h	(revision 5499)
+++ trunk/src/world_entities/weapons/test_gun.h	(revision 5500)
@@ -51,5 +51,5 @@
     virtual void destroy();
 
-    virtual void draw();
+    virtual void draw() const;
 
   private:
Index: trunk/src/world_entities/weapons/turret.cc
===================================================================
--- trunk/src/world_entities/weapons/turret.cc	(revision 5499)
+++ trunk/src/world_entities/weapons/turret.cc	(revision 5500)
@@ -156,5 +156,5 @@
  * draws the Turret
 */
-void Turret::draw ()
+void Turret::draw () const
 {
   this->getWeaponManager()->getFixedTarget()->debugDraw(10);
Index: trunk/src/world_entities/weapons/turret.h
===================================================================
--- trunk/src/world_entities/weapons/turret.h	(revision 5499)
+++ trunk/src/world_entities/weapons/turret.h	(revision 5500)
@@ -26,5 +26,5 @@
     virtual void destroy();
 
-    virtual void draw();
+    virtual void draw() const;
 
   private:
Index: trunk/src/world_entities/weapons/weapon.cc
===================================================================
--- trunk/src/world_entities/weapons/weapon.cc	(revision 5499)
+++ trunk/src/world_entities/weapons/weapon.cc	(revision 5500)
@@ -533,5 +533,5 @@
  *  this will draw the weapon
 */
-void Weapon::draw ()
+void Weapon::draw () const
 {}
 
Index: trunk/src/world_entities/weapons/weapon.h
===================================================================
--- trunk/src/world_entities/weapons/weapon.h	(revision 5499)
+++ trunk/src/world_entities/weapons/weapon.h	(revision 5500)
@@ -150,5 +150,5 @@
     void tickW(float dt); //!< this is a function that must be called by the weaponManager, or any other weaponHandler, all other functions are handled from within
     virtual void tick(float dt) {};
-    virtual void draw();
+    virtual void draw() const;
 
     bool check() const;
Index: trunk/src/world_entities/world_entity.cc
===================================================================
--- trunk/src/world_entities/world_entity.cc	(revision 5499)
+++ trunk/src/world_entities/world_entity.cc	(revision 5500)
@@ -198,5 +198,5 @@
  * Just override this function with whatever you want to be drawn.
 */
-void WorldEntity::draw()
+void WorldEntity::draw() const
 {
   glMatrixMode(GL_MODELVIEW);
Index: trunk/src/world_entities/world_entity.h
===================================================================
--- trunk/src/world_entities/world_entity.h	(revision 5499)
+++ trunk/src/world_entities/world_entity.h	(revision 5500)
@@ -56,5 +56,5 @@
 
   virtual void tick (float time);
-  virtual void draw ();
+  virtual void draw () const;
   void drawBVTree(unsigned int depth, int drawMode);
 